Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui
Class AbstractLaunchConfigurationTabGroup

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

All Implemented Interfaces:
  ILaunchConfigurationTabGroup

public abstract class AbstractLaunchConfigurationTabGroup
extends Object
implements ILaunchConfigurationTabGroup

Common function for launch configuration tab groups. Generally, a launch configuration tab group will subclass this class, and define a method to create and set the tabs in that group.

Clients may subclass this class.

Since:
  2.0
See Also:
  `ILaunchConfigurationTabGroup`

Field Summary
`protected ILaunchConfigurationTab[]` | `fTabs` The tabs in this tab group, or `null` if not yet instantiated.

Constructor Summary
`AbstractLaunchConfigurationTabGroup()`

Method Summary
`void` | `dispose()` By default, dispose all the tabs in this group.
`ILaunchConfigurationTab[]` | `getTabs()` Returns the tabs contained in this tab group.
`void` | `initializeFrom(ILaunchConfiguration configuration)` By default, delegate to all of the tabs in this group.
`void` | `launched(ILaunch launch)` Deprecated.
`void` | `performApply(ILaunchConfigurationWorkingCopy configuration)` By default, delegate to all of the tabs in this group.
`void` | `setDefaults(ILaunchConfigurationWorkingCopy configuration)` By default, delegate to all of the tabs in this group.
`protected void` | `setTabs(ILaunchConfigurationTab[] tabs)` Sets the tabs in this group

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTabGroup
`createTabs`

Field Detail

### fTabs

    protected ILaunchConfigurationTab[] fTabs

  The tabs in this tab group, or `null` if not yet instantiated.

Constructor Detail

### AbstractLaunchConfigurationTabGroup

    public AbstractLaunchConfigurationTabGroup()

Method Detail

### getTabs

    public ILaunchConfigurationTab[] getTabs()

  Description copied from interface: `ILaunchConfigurationTabGroup`
  Returns the tabs contained in this tab group.

  Specified by:
    `getTabs` in interface `ILaunchConfigurationTabGroup`
  Returns:
    the tabs contained in this tab group
  See Also:
    `ILaunchConfigurationTabGroup.getTabs()`

### setTabs

    protected void setTabs(ILaunchConfigurationTab[] tabs)

  Sets the tabs in this group

  Parameters:
    `tabs` - the tabs in this group

### dispose

    public void dispose()

  By default, dispose all the tabs in this group.

  Specified by:
    `dispose` in interface `ILaunchConfigurationTabGroup`
  See Also:
    `ILaunchConfigurationTabGroup.dispose()`

### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy configuration)

  By default, delegate to all of the tabs in this group.

  Specified by:
    `setDefaults` in interface `ILaunchConfigurationTabGroup`
  Parameters:
    `configuration` - launch configuration
  See Also:
    `ILaunchConfigurationTabGroup.setDefaults(ILaunchConfigurationWorkingCopy)`

### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

  By default, delegate to all of the tabs in this group.

  Specified by:
    `initializeFrom` in interface `ILaunchConfigurationTabGroup`
  Parameters:
    `configuration` - launch configuration
  See Also:
    `ILaunchConfigurationTabGroup.initializeFrom(ILaunchConfiguration)`

### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

  By default, delegate to all of the tabs in this group.

  Specified by:
    `performApply` in interface `ILaunchConfigurationTabGroup`
  Parameters:
    `configuration` - launch configuration
  See Also:
    `ILaunchConfigurationTabGroup.performApply(ILaunchConfigurationWorkingCopy)`

### launched

    public void launched(ILaunch launch)

  Deprecated.

  By default, delegate to all of the tabs in this group.

  Specified by:
    `launched` in interface `ILaunchConfigurationTabGroup`
  Parameters:
    `launch` - the result of launching the current launch configuration
  See Also:
    `ILaunchConfigurationTabGroup.launched(ILaunch)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.